GNU bug report logs - #36930
NSS 3.45 fails to build on armhf-linux

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Marius Bakke <mbakke@HIDDEN>; dated Mon, 5 Aug 2019 12:21:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36930 <at> debbugs.gnu.org:


Received: (at 36930) by debbugs.gnu.org; 5 Aug 2019 17:46:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 13:46:11 2019
Received: from localhost ([127.0.0.1]:35826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1huh3j-0003pf-1Y
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 13:46:11 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:38667)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1huh3h-0003pO-2z
 for 36930 <at> debbugs.gnu.org; Mon, 05 Aug 2019 13:46:10 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id D939821583;
 Mon,  5 Aug 2019 13:46:03 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 05 Aug 2019 13:46:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=5y4/XVSP8Jl1WIDDiwQSGcozjF
 NFSoTsUmyQove2zN8=; b=nzRWoCqUAB2mu0He3hk+Zaqd8U8HKP12UgSSQNzOar
 xdOS274sUizjDu+Q5P4oAN9ISVhFYneOQhk8O3/i/e+UkRUhiksw2vHbH22sU0cW
 eRojvB+irk005aVMPlACIpC7ZJs8H5UF+3FEmY5D54U8n5SRw4e2C3RAlupqfhHZ
 C1SZMyKtQOFzkkh01bsQoKZbeFi2QWzIbJuQyXTP7hr/3WYqqW/MA9mXvGS7bg9C
 BN33eR61OUfJiFfz+spxlk1X9grnaC6VBmkRSuOKDyhtKuu95VoqNO9jOMik86TX
 8ClK+/MfeGTpupRgKHdMaRZ9EaEV0KHihPz5DbGtWb4w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=5y4/XV
 SP8Jl1WIDDiwQSGcozjFNFSoTsUmyQove2zN8=; b=Flgi9pLZOlPVcjH7B/SuYA
 9KTieDNNJ5a0jIvlsdQHHLCez24BdQe5U+a3RHXyNNH8XJP5aEVyw2yIyDnBTRAu
 e6dw0061Ee5AARBjih1N5Ip6/1D289VXiqNrV7f1kflWCViswlUCH9OB8D4IKmq5
 iJMuWR+zKXYlp9le+SbG92626jMQeks+o9V6uXgHGQIsZ7iwamJLaZ41mlae9Etp
 UxHzCqKgAouro2YzOfo1W4w7FlwTBsvU01PryWLxTiITxbU4IiS/9+LCCJDeeBda
 mB9Nx1LxUAdmp32XPSUdbN3xPWjIyU3fmUiJNbzidJ8sNNjq2fl5hfzii0R0eU7g
 ==
X-ME-Sender: <xms:W2tIXehFmFTyVya5kqUgWM0Xif-iE-P7ZUk3RcG1fHc0XJ-Wt1ghnw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddruddtjedgudduiecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufgjfhgffffkgggtsehgtd
 erredtredtnecuhfhrohhmpeforghrihhushcuuegrkhhkvgcuoehmsggrkhhkvgesfhgr
 shhtmhgrihhlrdgtohhmqeenucfkphepiedvrdduiedrvddviedrudegtdenucfrrghrrg
 hmpehmrghilhhfrhhomhepmhgsrghkkhgvsehfrghsthhmrghilhdrtghomhenucevlhhu
 shhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:W2tIXRF3WMXI_21k9D-bwY0HWfyUUzHB1y_zUmjQzo2D9Gm5AN9v7g>
 <xmx:W2tIXUP-JHz13Hgl9tFVkrWhHeBp4Y-tETvES_jLjVrDdYw9M82fSg>
 <xmx:W2tIXcPoyUNuLQHNPo16r-eEudujAnUxkKb2Qjv2HYtqTfjwLZ2x6g>
 <xmx:W2tIXRNmyvJxSNAFzVSL8D2DaOtsfAb_k87-UvKozuInUfv-RRj9hg>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id E612A380089;
 Mon,  5 Aug 2019 13:46:02 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36930: NSS 3.45 fails to build on armhf-linux
In-Reply-To: <874l2va73a.fsf@HIDDEN>
References: <878ss73it7.fsf@HIDDEN> <87sgqfa9ta.fsf@HIDDEN>
 <874l2va73a.fsf@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 05 Aug 2019 19:46:01 +0200
Message-ID: <87y3071p5y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36930
Cc: 36930 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mark H Weaver <mhw@HIDDEN> writes:

> Earlier, I wrote:
>> For now, we could simply revert my commit that updates NSS to 3.45.
>> Although I mentioned in the commit log that it fixed some CVEs, I later
>> discovered that 3.44.1 includes fixes for the same CVEs.  NSS 3.44.1 was
>> the version of NSS in 'master' before my commit.
>
> I reverted it in commit 0fae1b6deeabe15fa8c0c1623b46c9b7f2814295 on the
> master branch.

Thanks!

NSS is still broken on 'staging', so this issue remains open.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl1Ia1kACgkQoqBt8qM6
VPqwQwf/Zdnf9FyXLnlPmwkGrjJ4KAxL8rwbZMzS9Mfa9NbsRbv3RNoY7xSBSyf4
Lfb01JDEcjPU+F1hc6AIIJrj19Nf8gHf6r+hsY4gW2QPDJWPgxB4Y5ijlkNkYhBy
2H2+Ma0lIk8HbAxjBRyWEWToFuXrnOsusdys+RJhCGq98apEsjDii7vtMLWvCuCE
lEKvuJJvJoDtdgde/WMdUnSBRn9DPYdTlf8RnzWb+uQo0tTzKgsyDZaIV4U3RRMC
R0alTXwcjN6OQvzavUY+VQ7ttQhjV8Isv6hndANteY/O/ivYyYs5LoKBixkwGEac
FsbgkosWTWYM7r45TmtiSs03zRTyHQ==
=WOl2
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36930; Package guix. Full text available.

Message received at 36930 <at> debbugs.gnu.org:


Received: (at 36930) by debbugs.gnu.org; 5 Aug 2019 16:51:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 12:51:29 2019
Received: from localhost ([127.0.0.1]:35796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hugCn-0000Li-3v
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 12:51:29 -0400
Received: from world.peace.net ([64.112.178.59]:44752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hugCl-0000LU-VH
 for 36930 <at> debbugs.gnu.org; Mon, 05 Aug 2019 12:51:28 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hugCg-00080P-10; Mon, 05 Aug 2019 12:51:22 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36930: NSS 3.45 fails to build on armhf-linux
References: <878ss73it7.fsf@HIDDEN> <87sgqfa9ta.fsf@HIDDEN>
Date: Mon, 05 Aug 2019 12:51:10 -0400
In-Reply-To: <87sgqfa9ta.fsf@HIDDEN> (Mark H. Weaver's message of "Mon, 05
 Aug 2019 11:52:22 -0400")
Message-ID: <874l2va73a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36930
Cc: 36930 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Earlier, I wrote:
> For now, we could simply revert my commit that updates NSS to 3.45.
> Although I mentioned in the commit log that it fixed some CVEs, I later
> discovered that 3.44.1 includes fixes for the same CVEs.  NSS 3.44.1 was
> the version of NSS in 'master' before my commit.

I reverted it in commit 0fae1b6deeabe15fa8c0c1623b46c9b7f2814295 on the
master branch.

     Thanks,
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#36930; Package guix. Full text available.

Message received at 36930 <at> debbugs.gnu.org:


Received: (at 36930) by debbugs.gnu.org; 5 Aug 2019 15:52:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 11:52:45 2019
Received: from localhost ([127.0.0.1]:35701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hufHx-0007BU-FS
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 11:52:45 -0400
Received: from world.peace.net ([64.112.178.59]:44668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hufHt-0007BB-PG
 for 36930 <at> debbugs.gnu.org; Mon, 05 Aug 2019 11:52:44 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hufHn-0007Zq-9b; Mon, 05 Aug 2019 11:52:35 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36930: NSS 3.45 fails to build on armhf-linux
References: <878ss73it7.fsf@HIDDEN>
Date: Mon, 05 Aug 2019 11:52:22 -0400
In-Reply-To: <878ss73it7.fsf@HIDDEN> (Marius Bakke's message of "Mon, 05 Aug
 2019 14:20:20 +0200")
Message-ID: <87sgqfa9ta.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36930
Cc: 36930 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Marius,

Marius Bakke <mbakke@HIDDEN> writes:

> On armhf-linux, 'nss' fails early in the build process due to an
> undefined reference to "PR_Assert":
>
> https://ci.guix.gnu.org/log/5cqmmjd9a8h05l8y352z1pq4mlyd6w21-nss-3.45
>
> This is almost certainly because of this upstream commit, which swaps
> out the curve25519 implementation for 32-bit ARM systems:
>
> https://hg.mozilla.org/projects/nss/rev/7b749ff400db3ecab87f394c091ea0831254e674
>
> There is some discussion about it in this ticket:
> https://bugzilla.mozilla.org/show_bug.cgi?id=1550579
>
> I don't know how all those people were able to benchmark the change.
> Perhaps we are missing something in our build flags?
>
> With NSS 3.45 now in the 'master' branch, we should fix this issue
> quickly as armhf users are currently unable to update their systems.
>
> I filed an upstream ticket here, but no response yet:
> https://bugzilla.mozilla.org/show_bug.cgi?id=1571316

For now, we could simply revert my commit that updates NSS to 3.45.
Although I mentioned in the commit log that it fixed some CVEs, I later
discovered that 3.44.1 includes fixes for the same CVEs.  NSS 3.44.1 was
the version of NSS in 'master' before my commit.

       Mark




Information forwarded to bug-guix@HIDDEN:
bug#36930; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Aug 2019 12:20:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 05 08:20:32 2019
Received: from localhost ([127.0.0.1]:34795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hubyW-0001v8-UB
	for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 08:20:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:49749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hubyV-0001v1-Jc
 for submit <at> debbugs.gnu.org; Mon, 05 Aug 2019 08:20:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44068)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <mbakke@HIDDEN>) id 1hubyU-000165-8I
 for bug-guix@HIDDEN; Mon, 05 Aug 2019 08:20:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mbakke@HIDDEN>) id 1hubyT-0002iU-2m
 for bug-guix@HIDDEN; Mon, 05 Aug 2019 08:20:26 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:34269)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mbakke@HIDDEN>) id 1hubyS-0002gA-O6
 for bug-guix@HIDDEN; Mon, 05 Aug 2019 08:20:25 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 6144E217DD
 for <bug-guix@HIDDEN>; Mon,  5 Aug 2019 08:20:24 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Mon, 05 Aug 2019 08:20:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:date:message-id:mime-version:content-type; s=
 fm3; bh=LtVtHTezf2nHMFUg2NxIgLR5nIqmszsl00+2dYiRPmU=; b=eiUZKXox
 8khdWBbQUOSy3dOvCLDA71BWjg6b7BL5APZ+qlmtouGbVL4Lqeu/AOXCD5PMrbAW
 ILg2aMz8bwrFlANC3AOxBUhgHry4XhsLvO8bJfQ3YVjni83rbnG6DPz3HeCqMz8g
 zZP8HUsDbZ2loX3/OrQKbodQ9L/ErTHbFR/423w1d0kGNPfoM5nTEAQcVI+t2uAH
 m9kmdK6/5nlALEfSjvATYcQA6dZw7JPTxhiK4JZUHfLTkyg1F3zJilbTIymO69ih
 WCJ+Gg4fB7+3ohxr3x3k4BENpJi7b5X9ofbCATB1I0MXYruKHFEGjM+rPK/Xprka
 1EJtrKYLmTX3+A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=LtVtHTezf2nHMFUg2NxIgLR5nIqms
 zsl00+2dYiRPmU=; b=AEabjbMk4nN+73sa6k8Vnjrl1IIoUuy8VxwAkpr5LrlIH
 2uYqipDhMM0VXoHM+FaZbluxDDVaJikrs/f+ocywCS1BoHOHuA+2HohhG2m+9iq7
 1IBPHCjDBAUAq6i60NFFKR6qCqkCeLGwT2h1gtmcaV0Xv/GGmk1kV9SaS5HY3JeG
 7ZJZOSRdVFy6BSqAQF64piye0iY7wy8ccDtS64F01lZnPk/tLRE+fh5X7XxYEo4y
 xhyJpvudbmFsgIpP8zk+wsdeJhDbGTPLe0lgz4wMdauLomrRHSCa6Mzla+MaOtg4
 lolFMPJRu7oDVGTEZvywmSs04vJaG7cXH2wycEkwA==
X-ME-Sender: <xms:Bx9IXZ9f2RectTZI6bRx5MgulOFFL9anKavmSqWzKNk3KaLCfJ6wHw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddruddtjedghedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufgffkfggtgesghdtreertd
 ertdenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhm
 rghilhdrtghomheqnecuffhomhgrihhnpehmohiiihhllhgrrdhorhhgpdhgnhhurdhorh
 hgnecukfhppeeivddrudeirddvvdeirddugedtnecurfgrrhgrmhepmhgrihhlfhhrohhm
 pehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:CB9IXR-GLx2-_BTfWAivOYoveyyMJ4PAhJr8-bnvyXMuSiOLFGNG9g>
 <xmx:CB9IXSDi-mcEeWdYzXwSwfBfBJ9Rm_94gcAY1sxlR6xbY1phR_KnVw>
 <xmx:CB9IXRwRevEn-aqPByQTGY7ubwwKqTk-8CVn_jziypq5CFuvbk-bqQ>
 <xmx:CB9IXVn3ik8irtbIBdgVSH7E0LYxYOvCrt8Y83Iibhc6Bqtj6n3vBw>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1E59D80060
 for <bug-guix@HIDDEN>; Mon,  5 Aug 2019 08:20:22 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: bug-guix@HIDDEN
Subject: NSS 3.45 fails to build on armhf-linux
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Mon, 05 Aug 2019 14:20:20 +0200
Message-ID: <878ss73it7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 66.111.4.27
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain

Hello,

On armhf-linux, 'nss' fails early in the build process due to an
undefined reference to "PR_Assert":

https://ci.guix.gnu.org/log/5cqmmjd9a8h05l8y352z1pq4mlyd6w21-nss-3.45

This is almost certainly because of this upstream commit, which swaps
out the curve25519 implementation for 32-bit ARM systems:

https://hg.mozilla.org/projects/nss/rev/7b749ff400db3ecab87f394c091ea0831254e674

There is some discussion about it in this ticket:
https://bugzilla.mozilla.org/show_bug.cgi?id=1550579

I don't know how all those people were able to benchmark the change.
Perhaps we are missing something in our build flags?

With NSS 3.45 now in the 'master' branch, we should fix this issue
quickly as armhf users are currently unable to update their systems.

I filed an upstream ticket here, but no response yet:
https://bugzilla.mozilla.org/show_bug.cgi?id=1571316

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl1IHwQACgkQoqBt8qM6
VPqO2ggAxLQVpCfck8DdfRZvI9yclNRwC//dcLjqPnZQVNxnNLueuRixDniiZNtv
QFH/im0BzUdPM4y0qJvbr9YfdL25yRJe2kxA7h1Je5veVqsH+41MtnM8dU4qfrp5
2+1enOvc90x3NEoGgikPr5xicBQe00jOtnW45Kg6nqonhUQX66nUcYUcVGT7W/33
GrUeNUQBWayVDKdUBZF4RC5uGjYt1hLyJoNB6CyaeI3/bIidTU1WCzvv59hEMYjJ
0kOhLvNt6ucE7EQmGYncOts72ABTS/ZQ2N+enPIjE7MGrh0EgftxGBZPAIIWfjP/
OZcf9eisQ6OWn0rOi2eW1MjciLYQUg==
=mfuw
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Marius Bakke <mbakke@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36930; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.